ChangeSet 1.1587.12.17, 2004/04/29 15:50:56-07:00, eike-hotplug@sf-tec.de

[PATCH] ACPI PCI Hotplug: kill magic number

The magic slot number was only another type of checking the validity of a
pointer. These checks are all gone so magic can follow them.


 drivers/pci/hotplug/acpiphp.h      |    2 --
 drivers/pci/hotplug/acpiphp_core.c |    1 -
 2 files changed, 3 deletions(-)


diff -Nru a/drivers/pci/hotplug/acpiphp.h b/drivers/pci/hotplug/acpiphp.h
--- a/drivers/pci/hotplug/acpiphp.h	Mon May 17 17:05:58 2004
+++ b/drivers/pci/hotplug/acpiphp.h	Mon May 17 17:05:58 2004
@@ -47,7 +47,6 @@
 #define info(format, arg...) printk(KERN_INFO "%s: " format, MY_NAME , ## arg)
 #define warn(format, arg...) printk(KERN_WARNING "%s: " format, MY_NAME , ## arg)
 
-#define SLOT_MAGIC	0x67267322
 /* name size which is used for entries in pcihpfs */
 #define SLOT_NAME_SIZE	KOBJ_NAME_LEN		/* {_SUN} */
 
@@ -59,7 +58,6 @@
  * struct slot - slot information for each *physical* slot
  */
 struct slot {
-	u32 magic;
 	u8 number;
 	struct hotplug_slot	*hotplug_slot;
 	struct list_head	slot_list;
diff -Nru a/drivers/pci/hotplug/acpiphp_core.c b/drivers/pci/hotplug/acpiphp_core.c
--- a/drivers/pci/hotplug/acpiphp_core.c	Mon May 17 17:05:58 2004
+++ b/drivers/pci/hotplug/acpiphp_core.c	Mon May 17 17:05:58 2004
@@ -299,7 +299,6 @@
 		if (!slot->hotplug_slot->name)
 			goto error_info;
 
-		slot->magic = SLOT_MAGIC;
 		slot->number = i;
 
 		slot->hotplug_slot->private = slot;
